[Release] Monster Hunter Double Cross English UI Patch

Discussion in '3DS - ROM Hacking, Translations and Utilities' started by dasding, Mar 21, 2017.

  1. proapc

    proapc Member

    Newcomer
    22
    2
    Oct 28, 2008
    Colombia
    Colombia
    same here
     
  2. darxmax

    darxmax Newbie

    Newcomer
    1
    0
    Aug 31, 2017
    Russia
    Same problem (
     
  3. dasding
    OP

    dasding GBAtemp Regular

    Member
    259
    858
    Oct 25, 2015
    Germany
    NTR is no longer supported, please use luma game patching or prepatched cia's if you need help updating your cfw please use https://3ds.guide/
     
  4. Shirokami~

    Shirokami~ Advanced Member

    Newcomer
    85
    9
    Aug 14, 2016
    Germany
    You have to encrypt the .cia first.
    Godmode9: Press Start on boot to load into Luma Chainloader/Godmode9 (depends on how many paylods you have)
    -SDCARD
    -Navigate to the CIA, press A on it
    -CIA Image options
    -Encrypt NCCH (Or however that one was called)
     
  5. HolyBash

    HolyBash Advanced Member

    Newcomer
    54
    1
    Feb 8, 2016
    United States
    I need new cheat plugins. Also since i got the english mhxx patcher can i just re run it and im done or do i need to used those files in the desc?
     
  6. dasding
    OP

    dasding GBAtemp Regular

    Member
    259
    858
    Oct 25, 2015
    Germany
    if you use luma 7.0.1+ and have game patching enabled, you can continue to use the patcher app. you schould delete the old ntr plugin and the mhxx folder on the sd root though.
     
  7. SamBlackChay

    SamBlackChay Newbie

    Newcomer
    5
    0
    Sep 16, 2015
    Senegal

    Can't encrypt the CIA. "Encryption failed"
    Must you even encrypt? Does the 3DS work with encrypted and decrypted cias?
     
  8. SamBlackChay

    SamBlackChay Newbie

    Newcomer
    5
    0
    Sep 16, 2015
    Senegal
    I used HackingToolkit9DS to patch MHXX Update 1.2.cia with the ENG patch UI v4?
    I don't know whether if the extraction from pure cia is the issue or rebuilding is the issue.

    It doesn't matter if I apply the patch, to the romfs
    Once I extract the CIA with HackingToolkit9DS, When I rebuild it. I just can't install it through FBI
    I get this error

    0xD8E08025

    Module
    AM (32)
    Description
    Invalid NCCH? (AM) (37)
    Summary
    Invalid argument (7)
    Level
    Permanent (27)
     
  9. Vermil

    Vermil *ShiNe* Kudasaiā„¢

    Member
    143
    44
    Aug 21, 2017
    Philippines
    Nightcore -Rockefeller Street
    Since you can't patch the CIA, I have something for you check the link on your profile.
     
    Last edited by Vermil, Sep 3, 2017
  10. HolyBash

    HolyBash Advanced Member

    Newcomer
    54
    1
    Feb 8, 2016
    United States
    Got english patch to work without the bootntr thing didnt know i could just run the game regularly but i deleted my old cheat plugins and put a new one in every time i try that i my system crashes and creats dump files
     
  11. Shirokami~

    Shirokami~ Advanced Member

    Newcomer
    85
    9
    Aug 14, 2016
    Germany
    How did you get the CIA? If you got it via GodMode9/Hourglass9 you need to encrypt it, since they'll get it decrypted (which is needed for patching to work). And is the CIA an updated one?
    And you need to patch the updated GAME.cia not the UPDATE.cia.
     
  12. HolyBash

    HolyBash Advanced Member

    Newcomer
    54
    1
    Feb 8, 2016
    United States
    Is there gonna be a mh stories cross feature like mhx?
     
  13. xKaii

    xKaii GBAtemp Regular

    Member
    161
    22
    Jan 9, 2016

    v4

    • game version 1.2.0 compatibility
    • minor improvements
    I don't get it. What's the point about the compatibility? Maybe the non luma methods needed to? I have the v3 version and i had no version issues.
     
    Last edited by xKaii, Sep 7, 2017
  14. ukee

    ukee GBAtemp Regular

    Member
    206
    73
    Nov 23, 2015
    Malaysia
    People that used the patch through NTR received errors/crashes due to the incompatible layerfs plugin, thus the needed 1.2 update for compatibility.
    At least that's what I can tell from the update.
     
  15. xKaii

    xKaii GBAtemp Regular

    Member
    161
    22
    Jan 9, 2016
    Just as i thought, thanks.
     
  16. ThoD

    ThoD GBAtemp Maniac

    Member
    1,094
    904
    Sep 8, 2017
    Greece
    Decided to make an account to help out here with all the confusion...

    If you have Luma, when having patching enabled so you can use the English translation, you can't use NTR plugins. Trying to load the game with both NTR plugins and enabled patching will always cause an arm 11 exception handler message to appear and the device will then turn off. That means that if you want to use NTR cheats with the game you need to first deactivate patching in the Luma options menu. Additionally, just to clarify, there is no point in trying to use NTR to apply the patch since the method is now outdated.

    Next up we got those people who are confused trying to extract and repackage the patch CIA so it includes the patch by using HackingToolkit9DS and getting errors when installing, the developer of it has said that the repackaging feature got broken in the latest version so you have to wait for the fixed one to come out. For example when I tried I got a botched CIA that gave me the error at around 70% through the installation. Haven't tested Vermil's links he mentioned above yet since I'm already on 1.2 anyway and don't mind turning the patch off to use NTR.

    Finally, if you need a clean update CIA ready to install, just use google to find one. I have uploaded one I made with Decrypt9 on youtube (don't want to post link since new here), but you can tell by the name of the uploader if you end up finding mine.
     
    Last edited by ThoD, Sep 8, 2017
  17. Toady231

    Toady231 Intellectual saviour of the masses

    Member
    289
    59
    Feb 6, 2017
    United Kingdom
    East Northamptonshire
    I made my own plugin for this game. It works on the v4 patched version of mhxx. So for saying that it don't work us not true. If you get the plugin from the Chinese site speedfly then that one don't work as the file is way to big bring 1.4mb rather than a 548kb file. To get mine to work i deleted the update from freeshop. I then patched the game using the patch app the team released. I then updated and went onto my sd card. Went to the mhxx folder and deleted the layered fs. Put in my plugin and started it up without ntr to check if it works. It does so then I test with Ntr and it still works.
     
  18. Pilotari82

    Pilotari82 Advanced Member

    Newcomer
    56
    5
    Aug 24, 2017
    Spain
    upload it or post it and we will try it .... thanks all your effort ....
     
  19. Toady231

    Toady231 Intellectual saviour of the masses

    Member
    289
    59
    Feb 6, 2017
    United Kingdom
    East Northamptonshire
    I need time to clean it up. As I'm working 56 hours this week and have a 8 month old to look after. I'll try my best to share it
     
  20. Pilotari82

    Pilotari82 Advanced Member

    Newcomer
    56
    5
    Aug 24, 2017
    Spain
    thank you very much indeed and thank you for your effort and dedication ... we will wait patiently ... a greeting and thank you very much, my friend